# Generated by sila2.code_generator; sila2.__version__: 0.10.5
from __future__ import annotations

from typing import Optional

from sila2.framework.errors.defined_execution_error import DefinedExecutionError

from .loggingservice_feature import LoggingServiceFeature


class LogginStreamNotAvailable(DefinedExecutionError):
    def __init__(self, message: Optional[str] = None):
        if message is None:
            message = "The specified Logging Stream is unavailable. Please check the spelling of the stream URL"
        super().__init__(LoggingServiceFeature.defined_execution_errors["LogginStreamNotAvailable"], message=message)


class LogFileNotAvailable(DefinedExecutionError):
    def __init__(self, message: Optional[str] = None):
        if message is None:
            message = "The specified Log File is unavailable. Please check the spelling of the file URL"
        super().__init__(LoggingServiceFeature.defined_execution_errors["LogFileNotAvailable"], message=message)
